Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# ChatBackground

Added in version 21.2.

class telegram.ChatBackground(type, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents a chat background.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `type` is equal.

  Available In

  `telegram.Message.chat_background_set`

  Added in version 21.2.

  Parameters:

    type (`telegram.BackgroundType`) – Type of the background.

  type

    Type of the background.

    Type:

      `telegram.BackgroundType`

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.